• Welcome to Simple Machines Community Forum. Please login or sign up.
January 16, 2022, 07:49:10 PM

News:

SMF 2.1 RC4 has been released! Try it out and help us test! :) Read more.


SMF 2.0.19 Released

Started by Sesquipedalian, December 21, 2021, 04:44:51 PM

Previous topic - Next topic

Sesquipedalian

Dear Members,

Simple Machines is pleased to announce a new patch for the 2.0.x line of SMF, which pushes the version number to 2.0.19.

Notable changes in 2.0.19

  • Ensures compatibility with PHP 8.1 MySQLi error mode.
  • Fixes a bug where members could not download their basic profile data if RSS feeds were disabled.
  • Fixes a bug where double encoded entities could appear in RSS feeds and SSI functions
  • Fixes bugs related to birthdates in member profiles.
  • Improves protection against race conditions when saving Settings.php
  • Avoids an issue with certain versions of Chrome and Edge where viewing one page of a multi-page topic could cause unread posts on the next page to be incorrectly marked as read.
  • Security improvements.

Please see the changelog for more information.

How to update to 2.0.19

If you are currently using version 2.0.18 you can perform the update using the Package Manager (Administration Center > Package Manager). There you should see a notification about 2.0.19, including a "click here to install" link. If you do not see this notification in the Package Manager, please run "Fetch Simple Machines files" from the Scheduled Tasks page (Administration Center > Maintenance > Scheduled Tasks), and then try again.

If you are currently using any earlier version of the 2.0.x line, you can use the process described above to apply previous update patches successively until you reach version 2.0.19.

If you are currently using an older version of SMF, you can upgrade directly to 2.0.19 from whichever version you are currently using by using the "Large Upgrade" package from the Download page. Be aware that using this upgrade method will require you to reinstall any customizations that you have added to your forum, so if you are running a version of the 2.0.x series, it is recommended that you apply the successive patches instead of using the Large Upgrade.

If you are having problems downloading the patch from the admin panel, you can download the patch package from the Package Manager Updates page and install it via the Package Manager, as you would any other mod package.

Please refer to the Online Manual for more details about patching and upgrading.


Finally, as always, please do not use this topic for support requests. You will receive a much quicker and better response by posting in the 2.0.x Support Board.

Thank you for using SMF!

Regards,
Simple Machines
I promise you nothing.
Sesqu... Sesqui... what?
Sesquipedalian, the best word in the English language.

LiroyvH

Congrats on the release, thank you to the team! :)
((U + C + I)x(10 − S)) / 20xAx1 / (1 − sin(F / 10))
President/CEO of Simple Machines - Server Manager
Please do not PM for support - anything else is usually OK.

Sir Osis of Liver

"The best laid schemes o' mice an' men / Gang aft a-gley." - Robert Burns

Sesquipedalian

Quote from: Sir Osis of Liver on December 21, 2021, 05:01:55 PMNot available yet in ACP.  >:(

Quote from: Sesquipedalian on December 21, 2021, 04:44:51 PMIf you do not see this notification in the Package Manager, please run "Fetch Simple Machines files" from the Scheduled Tasks page (Administration Center > Maintenance > Scheduled Tasks), and then try again.
I promise you nothing.
Sesqu... Sesqui... what?
Sesquipedalian, the best word in the English language.

Doug Heffernan

Congratulations to the Smf Team for the new release and a big thank you for all your hard work. Keep it up guys and gals :)

peterbehlendorf

Thank you once again team. I'm loving SMF!

gisfreak

Me fail English? That's unpossible.

Aleksi "Lex" Kilpinen

Glad to see this, thank you everyone involved :)
A Finnish Project Manager (Support Specialist)
 Happily running multiple SMF 2.x installations.
  Fooling around with i7-10700 @ 2,90GHz-4.80GHz / 16Gb / RTX-2070 Super / 3840x2160 / Win 10 x64


How you can help SMF

"Before you allow people access to your forum, especially in an administrative position, you must be aware that that person can seriously damage your forum. Therefore, you should only allow people that you trust, implicitly, to have such access." -Douglas

thatjustit


Steve

Please do not PM me for support.

IamTheBoy

LOL, as if server admins don't have enough to do currently :)

Top work all, thanks :)

-Rock Lee-

Great job everyone :D this counts as a christmas present :P


Regards!
¡Regresando como cual Fenix! ~ Bomber Code
Ayudas - Aportes - Tutoriales - Y mucho mas!!!

KittyGalore

Thank you to everyone who has been working on this update and releasing it.
SMF Curve 2.0x

shadav

*grumbles* *sighs* now I have to try to deal with all the errors to update  :laugh:
joking

thank you for all of the hard work

a10

2.0.18, php 7.4.26, MariaDB 10.3.32. Mods: Contact Page, Like Posts, Responsive Curve, Search Focus Dropdown, Add Join Date to Post.

Adrek

Thanks for update :)

Maybe it would be worth to mention in first post that unofficial fix for birthday date should be uninstalled before applying this patch?
For some it will be obvious, for others not so much  ::)
Polskie wsparcie SMF na simplemachines.org

the simplest solution is most likely the right one

jsx

Thanks for this release, and now I'm waiting for SMF 2.1.0 to finally be released. ;)

Important: If you installed this patch which fixed the display of the date of birth in SMF 2.0.18, uninstall this patch immediately before installing SMF 2.0.19




Deaks

Excellent to see updates still being done even at tough times!

Kindred

Quote from: Adrek on December 22, 2021, 04:28:09 PMThanks for update :)

Maybe it would be worth to mention in first post that unofficial fix for birthday date should be uninstalled before applying this patch?
For some it will be obvious, for others not so much  ::)


That was already stated in the thread which released the unofficial patch
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

shawnb61

Quote from: Kindred on December 22, 2021, 09:26:21 PMThat was already stated in the thread which released the unofficial patch

It's also pointed out in Package Manager.

Note the RSS string function unofficial patch would need to be uninstalled also.

Uninstall.png
Address the process rather than the outcome.  Then, the outcome becomes more likely.   - Fripp

TwitchisMental

Yayyy thank you for another update!

d3vcho

Cool beans!

Congratulations everyone :)
"Greeting Death as an old friend, they departed this life as equals"

hungarianguy

Upgrade was a breeze thru package manager.

YogiBear

All working well. Thanks Team. :)
SMF v2.0.19  Mods : Ohara YouTube Embed v1.2.9,  Custom Tab v1.2 , Bakers' Dozen Pages v1.2 , SMFPacks Shoutbox v1.1,  Board Color & Icons v1.1 , Simple Image Upload , Snow & Garland v1.4,  PHP  v.7.4.25

Looking

Thanks for the update. I usually get Emails about this but didn't this time.

Sgt. intropee

Thank you for the update!!!  :)

mickjav

Cool Thanks Worked A Treat  ;D
Database Dreams - music and charts, Home of Chart Tracker Elite, Apollo & DJ 2020.
Coming soon The Librarian.

Wellwisher

Worked without a hitch. Thank you devs.

NightWolve

Thanks, so far so good, although I'm tempted to bite-the-bullet and upgrade to the 2.1 RC4 core to get better mobile support than what I've already patched and to begin porting the theme over seeing as this forum itself has done that...

JBlaze

Jason Clemons
Former Team Member 2009 - 2012

fungolfer

Thanks to the Team and merry xmas everyone :)

christal64

Hello,
I am having difficulty updating to the French language (smf_2-0-19_french-utf8). I have the following message:
Étape 1: Login
The upgrader found some old or outdated language files, for the forum default language, french-utf8.
Thank you for your answers

Shambles

QuoteFinally, as always, please do not use this topic for support requests. You will receive a much quicker and better response by posting in the 2.0.x Support Board


landyvlad

Upgraded seamlessly, thanks !
Please do not PM, IM or Email me with questions on astrophysics or theology.  You will get better and faster responses by asking homeless people in the street. Thank you.

To paraphrase Kindred: "There are no technical solutions to social problems."

Apllicmz




christal64

Hello,
sorry, I am new to the forum, I just posted my request for assistance in the "support" section
thank you for your understanding

Aleksi "Lex" Kilpinen

It's alright, welcome to SMF :)
A Finnish Project Manager (Support Specialist)
 Happily running multiple SMF 2.x installations.
  Fooling around with i7-10700 @ 2,90GHz-4.80GHz / 16Gb / RTX-2070 Super / 3840x2160 / Win 10 x64


How you can help SMF

"Before you allow people access to your forum, especially in an administrative position, you must be aware that that person can seriously damage your forum. Therefore, you should only allow people that you trust, implicitly, to have such access." -Douglas

el-brujo

Hello,


There's an error doing the upgrade (large) process (upgrade.php)

On Themes/default/languages/index.english.php

<?php
// Version: 2.0.18; index

Change for

<?php
// Version: 2.0.19; index

because:

$temp = substr(@implode('', @file($modSettings['theme_dir'] . '/languages/index.' . $upcontext['language'] . '.php')), 0, 4096);
preg_match('~(?://|/\*)\s*Version:\s+(.+?);\s*index(?:[\s]{2}|\*/)~i', $temp, $match);

Thank you!

Shambles

QuoteFinally, as always, please do not use this topic for support requests. You will receive a much quicker and better response by posting in the 2.0.x Support Board

knut

Good message! Well done!  :)  8)  ;)

Maggan22

i've want to install to bplaced - php 8.1 - when i go to install.php  there is an error
 Fatal error: Uncaught Error: Call to undefined function fsockopen() in /users/*/www/install.php:216 Stack trace: #0 /users/*/www/install.php(100): initialize_inputs() #1 {main} thrown in /users/*/www/install.php on line 216

please help me to fix it.

Thank you

Shambles

QuoteFinally, as always, please do not use this topic for support requests. You will receive a much quicker and better response by posting in the 2.0.x Support Board

Maggan22

sorry, i move it to the support

Steve

Sometimes I feel like a lot of people don't read the first post. All they see is the topic title and click reply ...
Please do not PM me for support.

shadav

might be best on these types of announcements just to close them to replies 🤷�♀️

Steve

Please do not PM me for support.

Arantor

This was suggested many times in the past and shot down.
No good deed goes unpunished
All helpful urges should be circumvented

Kindred

Because making am announcement and locking itvus not condussive to the feeling of community
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Aleksi "Lex" Kilpinen

Also, sometimes the comments we get are actually useful information like pointing out mistakes we've made :P
A Finnish Project Manager (Support Specialist)
 Happily running multiple SMF 2.x installations.
  Fooling around with i7-10700 @ 2,90GHz-4.80GHz / 16Gb / RTX-2070 Super / 3840x2160 / Win 10 x64


How you can help SMF

"Before you allow people access to your forum, especially in an administrative position, you must be aware that that person can seriously damage your forum. Therefore, you should only allow people that you trust, implicitly, to have such access." -Douglas

christal64

Quote from: el-brujo on December 29, 2021, 05:31:27 PMHello,


There's an error doing the upgrade (large) process (upgrade.php)

On Themes/default/languages/index.english.php

<?php
// Version: 2.0.18; index

Change for

<?php
// Version: 2.0.19; index

because:

$temp = substr(@implode('', @file($modSettings['theme_dir'] . '/languages/index.' . $upcontext['language'] . '.php')), 0, 4096);
preg_match('~(?://|/\*)\s*Version:\s+(.+?);\s*index(?:[\s]{2}|\*/)~i', $temp, $match);

Thank you!

Thank you el-brujo. Double thank you for Aleksi "Lex" Kilpinen and the SMF team who allowed me to lead a forum since 2007.
Happy New Year to you

Sesquipedalian

Some users have reported problems running the large upgrade packages, with error messages about outdated language files. The large upgrade packages for 2.0.19 available at https://download.simplemachines.org have now been fixed to solve this problem.

If you have already successfully updated to 2.0.19, no further action is needed on your part.

If you previously had trouble running the large upgrade, please download a fresh copy from https://download.simplemachines.org and try again.
I promise you nothing.
Sesqu... Sesqui... what?
Sesquipedalian, the best word in the English language.

info33

Hi!
Problem with new relase SMF 2019 after update i cant save database...

My SMF forum:
https://www.romaniafotovoltaice.com [nofollow]

Arantor

Please post this in the support board.
No good deed goes unpunished
All helpful urges should be circumvented

Kindred

Quote from: Sesquipedalian on December 21, 2021, 04:44:51 PMFinally, as always, please do not use this topic for support requests. You will receive a much quicker and better response by posting in the 2.0.x Support Board.
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Advertisement: